# at-rule-name-newline-after

Require a newline after at-rule names.

```css
    @media
   /*↑*/  (max-width: 600px) {}
/**  ↑
 * The newline after this at-rule name */
```

## Options

`string`: `"always"|"always-multi-line"`

### `"always"`

There *must always* be a newline after at-rule names.

The following patterns are considered warnings:

```css
@charset "UTF-8";
```

```css
@media (min-width: 700px) and
  (orientation: landscape) { }
```

The following patterns are *not* considered warnings:

```css
@charset
  "UTF-8";
```

```css
@import
  "x.css" screen and
 (orientation:landscape);
```

```css
@media
  (min-width: 700px) and (orientation: landscape) { }
```

```css
@media
  (min-width: 700px) and
  (orientation: landscape) { }
```

### `"always-multi-line"`

There *must always* be a newline after at-rule names in multiline-line at-rule blocks.

The following patterns are considered warnings:

```css
@import "x.css" screen and
 (orientation:landscape);
```

```css
@media (min-width: 700px) and
 (orientation: landscape) { }
```

The following patterns are *not* considered warnings:

```css
@charset "UTF-8";
```

```css
@charset
  "UTF-8";
```

```css
@import "x.css" screen and (orientation:landscape);
```

```css
@media (min-width: 700px) and (orientation: landscape) { }
```

```css
@media
  (min-width: 700px) and
  (orientation: landscape) { }
```
